This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 151571 - "ip rule add" invocations are not saved/restored across reboot
"ip rule add" invocations are not saved/restored across reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 19:06 EST by Stephen Warren
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 14:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-03-19 19:06:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
If I type this:

ip rule add priority 1000 fwmark 1 table 1

then it works fine. However, the resulting rule is not saved/restored across a reboot, so I have to manually add it back in.

"service iptables save" will save all the iptables stuff. Shouldn't it, or something similar, do the same for routing policy?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ip rule add priority 1000 fwmark 1 table 1
2. ip rule show. Note added rule
3. shutdown -r now
5. ip rule show. Note lack of added rule
  

Actual Results:  rule missing from rule table

Expected Results:  rule present in rule table

Additional info:

N/A.
Comment 1 Radek Vokal 2005-03-23 05:36:59 EST
Iproute doesn't have a functionality like this and propably won't ever have. All
the ip * things are set by configuration scripts at the startup. Currently this
applies not only on `ip rule` but also the same behaviour you'll get with `ip
routes`, etc. None of the added data are stored. If you need to keep your
configuration, you have to dig in the bootup scripts and set the values there. 

Anyway, I will discuss this with other developers and maybe I'll add this to
feature requests. 

Note You need to log in before you can comment on or make changes to this bug.